RIO_DEV_GET(9)

NAME
rio_dev_get - Increments the reference count of the RIO device structure

SYNOPSIS

struct rio_dev * rio_dev_get (struct rio_dev * rdev);

ARGUMENTS

rdev
    RIO device being referenced

DESCRIPTION

Each live reference to a device should be refcounted.

Drivers for RIO devices should normally record such references in their probe methods, when they bind to a device, and release them by calling rio_dev_put, in their disconnect methods.

DESCRIPTION

Each live reference to a device should be refcounted.

Drivers for RIO devices should normally record such references in their probe methods, when they bind to a device, and release them by calling rio_dev_put, in their disconnect methods.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.